// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class StackOfFeathersAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new StackOfFeathersAddonDeed();
			}
		}

		[ Constructable ]
		public StackOfFeathersAddon()
		{
			AddComponent( new AddonComponent( 7123 ), 0, 0, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 7123 );
			AddComponent( ac, 0, 0, 0 );

		}

		public StackOfFeathersAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class StackOfFeathersAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new StackOfFeathersAddon();
			}
		}

		[Constructable]
		public StackOfFeathersAddonDeed()
		{
			Name = "StackOfFeathers";
		}

		public StackOfFeathersAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}